Object -> Network -> Interface -> "new" führt zu HTML Error 500



  • Hallo,

    ich möchte einem Object unter Network -> Interface mit dem Button "new" ein Interface erstellen. Das führt zu einem HTTP Error 500. Das passiert an jeder Stelle unter Network. Probiert habe ich es mit einem Object "Router" und einem Object "Server". Ich kann ansonsten überall mit "new" etwas hinzufügen.

    Ich habe die 1.8 OPEN Version installiert. Vielleicht weiß hier jemand bescheid.

    Vielen Dank!



  • Kannst Du mal einen Auszug aus dem Apache Error Log posten, was dort für Meldungen kommen?



  • Hallo Cornitus,

    bitte poste mal den Ajax/XHR Request der bei Klick auf New passiert, damit finden wir vermutlich mehr heraus.

    Danke!



  • Hallo,

    danke für die Antworten. Ich bin erst jetzt dazu gekommen zu antworten.

    @kmauel Wie mach ich das mit dem Ajax/XHR Request?

    Mir ist auch noch einiges mehr aufgefallen.

    Unter dem Punkt "Layer 3-Net" werden die Netzwerke falsch dargestellt. Unter dem Address Range steht zum Beispiel die Netzmaske drin. Unter Netmask stehen die vergebene IP Adressen drin. Unter Assigned addresses steht der Staus drin (in oprtation"). Wenn ich in der Ansicht auf "Configure list view" gehe dann ebenfalls ein HTTP Error 500.

    Einem Server kann ich unter "Host address" -> "Net assignment" kein anderes Netz zuweisen als das "Layer 3-Net >> Global v4". Mehr wird mir nicht angeboten. Die Netzwerke wurden angelegt und sind unter "Layer 3-Net" zu finden.

    Wenn ich bei einem importierten Server mit dem Namen "Server1" (OCS Inventory) unter "Host address" das vorhandene Netzwerkinterface auf Primary = yes setzen will dann kommt die Fehlermeldung das die IP von Server "Server1" bereits benutzt wird. Es ist aber der selbe Server. In der Zeile ipv4 Address steht nach Eingabe der IP "IP Address is Valid".

    Irgendwas kann hier generell nicht stimmen. Es ist ein frische Installation nach offizieller Anleitung.

    Viele Grüße und vielen Dank.



  • Hallo nochmal,

    ich habe nun die Datenbanken und User für Idoit auf dem MYSQL Server gelöscht. Außerdem habe ich das www Verzeichnis gelöscht. Heruntergeladen habe ich mir dann das Paket: idoit-open-1.8.zip. Die Installation wurde Analog zum Dokument "INSTALL" durchgeführt. Nach erfolgtem Login und einem klick auf "Other" -> "Layer 3-Net" erscheint nun bereits die falsch dargestellte GUI. Siehe Screenshot:

    http://imgur.com/a/GHDjl

    Ein klick auf "Open IP list" bringt einen SQL Error:

    Database error : Query error: 'SELECT obj_main.isys_obj__id AS '__id__', (j5.isys_net_type__title ) 'isys_cmdb_dao_category_s_net__type' , (SELECT CONCAT('
    ', GROUP_CONCAT((CASE WHEN IS_IPV6(isys_cats_net_list__address) THEN CONCAT(INET6_NTOA(INET6_ATON(isys_cats_net_list__address)), ' / ', isys_cats_net_list__cidr_suffix) WHEN IS_IPV4(isys_cats_net_list__address) THEN CONCAT(INET_NTOA(INET_ATON(isys_cats_net_list__address)), ' / ', isys_cats_net_list__cidr_suffix) ELSE '-' END) SEPARATOR '
    '), '
    ') FROM isys_cats_net_list WHERE isys_cats_net_list__isys_obj__id = obj_main.isys_obj__id AND isys_cats_net_list__status = 2 GROUP BY isys_cats_net_list__isys_obj__id ) 'isys_cmdb_dao_category_s_net__address_with_suffix' , (SELECT CONCAT('
    ', GROUP_CONCAT((CASE WHEN IS_IPV4(isys_cats_net_list__address_range_from) THEN CONCAT(isys_cats_net_list__address_range_from, ' - ', isys_cats_net_list__address_range_to) WHEN IS_IPV6(isys_cats_net_list__address_range_from) THEN CONCAT(INET6_NTOA(INET6_ATON(isys_cats_net_list__address_range_from)), ' - ', INET6_NTOA(INET6_ATON(isys_cats_net_list__address_range_to))) END) SEPARATOR '
    '), '
    ') FROM isys_cats_net_list WHERE isys_cats_net_list__isys_obj__id = obj_main.isys_obj__id AND isys_cats_net_list__status = 2 GROUP BY isys_cats_net_list__isys_obj__id ) 'isys_cmdb_dao_category_s_net__address_range' , j3.isys_cats_net_list__mask 'isys_cmdb_dao_category_s_net__netmask', (SELECT CONCAT( (SELECT COUNT(isys_cats_net_ip_addresses_list__id) FROM isys_cats_net_ip_addresses_list WHERE isys_cats_net_ip_addresses_list__isys_obj__id = isys_cats_net_list__isys_obj__id GROUP BY isys_cats_net_ip_addresses_list__isys_obj__id), ' / ', (CASE WHEN isys_cats_net_list__address_range_to_long >= isys_cats_net_list__address_range_from_long THEN (1 + isys_cats_net_list__address_range_to_long - isys_cats_net_list__address_range_from_long) WHEN isys_cats_net_list__address_range_from_long >= isys_cats_net_list__address_range_to_long THEN (1 + isys_cats_net_list__address_range_from_long - isys_cats_net_list__address_range_to_long) ELSE 'LC__CMDB__CATG__IP__INVALID_IP_RANGE' END) ) FROM isys_cats_net_list WHERE isys_cats_net_list__isys_obj__id = obj_main.isys_obj__id AND isys_cats_net_list__status = 2 ) 'isys_cmdb_dao_category_s_net__free_addresses' , (SELECT CONCAT("{#", isys_cmdb_status__color, "} ", isys_cmdb_status__title) FROM isys_cmdb_status WHERE obj_main.isys_obj__isys_cmdb_status__id = isys_cmdb_status__id ) 'isys_cmdb_dao_category_g_global__cmdb_status' FROM isys_obj AS obj_main LEFT JOIN isys_cats_net_list j3 ON j3.isys_cats_net_list__isys_obj__id = obj_main.isys_obj__id AND j3.isys_cats_net_list__status = 2 LEFT JOIN isys_net_type j5 ON j3.isys_cats_net_list__isys_net_type__id = j5.isys_net_type__id WHERE TRUE AND obj_main.isys_obj__isys_obj_type__id = 31 AND obj_main.isys_obj__status = 2 GROUP BY obj_main.isys_obj__id ORDER BY isys_cmdb_dao_category_s_net_ip_addresses__ip_address_link DESC LIMIT 0, 50;': Unknown column 'isys_cmdb_dao_category_s_net_ip_addresses__ip_address_link' in 'order clause'
    

    Unten rechts steht dann noch: "Warning: Attention! Please overwrite or refresh your list configuration"

    Ein klick auf "Configure list view" führt dann direkt zu einem HTTP Error 500.

    Ich kann dieses Verhalten direkt nachvollziehen. Muss noch etwas undokumentiertes nach gezogen werden oder könnte es sich um einen Bug handeln?

    Viele Grüße und vielen Dank!



  • Hallo Cornitus,

    bzgl. deines ersten Replies, wie man diese XHR Requests findet und wie man Sie kopiert, hierfür habe ich dir ein Gif erstellt welches den Vorgang auf unserer Demo exemplarisch zeigt.

    Bitte dann das was ich in dem Gif in die Console kopiert habe einmal als Text Datei anhängen, damit wir uns das genauer ansehen können.

    Das Gif findest du unter https://gifyu.com/images/show_xhr_requests.gif



  • Hallo Cornitus,

    bzgl. deines zweiten Replies, das Problem ist für die 1.8 OPEN bekannt, dies wird dann mit einem späteren Update behoben werden.

    Alternativ wäre auch ein Wechsel auf die PRO möglich.


  • i-doIT Team

    Hallo Cornitus,

    zwei kleine Ergänzungen:

    Für die open-Variante ist ein Update herausgekommen, das deine Probleme beheben könnte: https://www.i-doit.org/release-i-doit-1-8-3/

    Die INSTALL-Datei ist leider nicht sehr akurat. Bitte verwende zur Installation die Artikel in der Knowledge Base: https://kb.i-doit.com/display/de/Installation

    Viele Grüße
    Benjamin



  • Hallo,

    vielen Dank für eure Antworten. Ich habe die 1.8.3 installiert und die Probleme bestehen nicht mehr! Vielen Dank dafür! Unter "Layer 3-Net" ist aber trotzdem noch alles eine spalte zuweit links. Die Spalte "Type" müsste wohl leer sein und der Rest müsste wohl jeweils eine Spalte nach rechts rutschen. Das nur zur Information. Benutzen werde ich die Software dennoch.

    Danke nochmal für die Antworten und erstmal ein schönes Wochenende für euch alle!


  • i-doIT Team

    Hallo,

    schön, dass das Update den Fehler beseitigen konnte. Die verschobenen Spalten in der Objekt-Liste sollten sich ebenfalls beheben lassen mit dem Löschen des Browser-Caches (STRG+F5).

    Viele Grüße
    Benjamin



  • Ich habe ein ähnliches Problem:

    Wenn ich zB bei meinem Router-Objekt auf Interface klicke und danach auf "New" erscheint ein 500er Fehler. Wobei dies im Apache Error Log auftaucht:

    [Fri Mar 31 12:37:02.654445 2017] [:error] [pid 22203] [client ***.***.***.***:60240] PHP Warning:  session_regenerate_id(): Cannot regenerate session id - session is not active in /var/www/cmdb/src/classes/components/isys_component_session.class.php on line 872, referer: https://***.***.***/cmdb/?objID=24&tvMode=1006&catgID=40
    [Fri Mar 31 12:37:34.387220 2017] [:error] [pid 22153] [client ***.***.***.***:60314] PHP Fatal error:  Uncaught Error: Using $this when not in object context in /var/www/cmdb/src/classes/modules/cmdb/ui/global/isys_cmdb_ui_category_g_network_interface.class.php:55\nStack trace:\n#0 /var/www/cmdb/src/classes/modules/cmdb/ui/global/isys_cmdb_ui_category_g_network.class.php(25): isys_cmdb_ui_category_g_network_interface::process(Object(isys_cmdb_dao_category_g_network_interface))\n#1 /var/www/cmdb/src/classes/modules/cmdb/view/isys_cmdb_view_category.class.php(895): isys_cmdb_ui_category_g_network->process(Object(isys_cmdb_dao_category_g_network_interface))\n#2 /var/www/cmdb/src/classes/modules/cmdb/view/isys_cmdb_view_category.class.php(617): isys_cmdb_view_category->category_process(-1)\n#3 /var/www/cmdb/src/classes/modules/cmdb/isys_module_cmdb.class.php(972): isys_cmdb_view_category->process()\n#4 /var/www/cmdb/src/classes/modules/manager/isys_module_manager.class.php(1122): isys_module_cmdb->start(Object(isys_register))\n#5 /var/www/cmdb/src/idoit/Legacy/ModuleLoader.php(39): isys_module_manager->load(2, Object(isy in /var/www/cmdb/src/classes/modules/cmdb/ui/global/isys_cmdb_ui_category_g_network_interface.class.php on line 55, referer: https://***.***.***/cmdb/?objID=24&tvMode=1006&catgID=40
    

    Ich habe i-doit OPEN 1.8.3 als frische Installation.

    Danke & lg, Michael


  • i-doIT Team

    Hallo Michael,

    laut Signatur setzt du auf Ubuntu 16.04, richtig? In den Standardpaketen ist PHP in Version 7 enthalten. Diese Version unterstützen wir erst ab Version 1.9, die bald erscheinen wird. Der Fehler kann also daher kommen. Hier sind die Systemvoraussetzungen für i-doit (pro und open): https://kb.i-doit.com/display/de/Systemvoraussetzungen

    Viele Grüße
    Benjamin



  • @bheisig:

    Hallo Michael,

    laut Signatur setzt du auf Ubuntu 16.04, richtig? In den Standardpaketen ist PHP in Version 7 enthalten. Diese Version unterstützen wir erst ab Version 1.9, die bald erscheinen wird. Der Fehler kann also daher kommen. Hier sind die Systemvoraussetzungen für i-doit (pro und open): https://kb.i-doit.com/display/de/Systemvoraussetzungen

    Viele Grüße
    Benjamin

    Danke für deine Antwort. Bin ja zum Glück noch in der Testphase. Gibt es einen absehbaren Zeitraum, wann 1.9 OPEN erscheinen wird?

    Danke & Lg, Michael



  • Die Pro ist für Anfang Mai terminiert. Ich denke, die Open dann kurz darauf.


Log in to reply
 


Datenschutz / Privacy Policy